Bug 219245 - Yumex Always Crashes When Updating
Yumex Always Crashes When Updating
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
Depends On:
Blocks: 1070494
  Show dependency treegraph
Reported: 2006-12-11 21:25 EST by Dan Forward
Modified: 2014-02-26 19:20 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-12 02:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dan Forward 2006-12-11 21:25:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1) Gecko/20061027 Firefox/2.0

Description of problem:
Component: yumex
Version: 1.2.0
Summary: TBd430a6ac yumexCallbacks.py:150:instProgress:ValueError: too many values to unpack

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 174, in on_queueProcess_clicked
    rc = self.action.process_package_queue( pkgs, doAll )
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 926, in process_package_queue
    quit = self.process_packages()
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 1123, in process_packages
    if not self.yumexbase.process_transaction():
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 584, in process_transaction
  File "/usr/lib/python2.4/site-packages/yumex/yumexBase.py", line 692, in run_transaction
    self.runTransaction( cb=cb )
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 454, in runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python2.4/site-packages/yumgui/callbacks.py", line 142, in callback
    self.instProgress( what, bytes, total, h, user )
  File "/usr/lib/python2.4/site-packages/yumex/yumexCallbacks.py", line 150, in instProgress
    hdr, rpmloc = h
ValueError: too many values to unpack

Local variables in innermost frame:
what: 1
h: tightvnc
self: <yumex.yumexCallbacks.yumexRPMCallback instance at 0xa21f62c>
bytes: 276
total: 244584

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Run Yumex and try to update, install, or remove any package.

Actual Results:

Expected Results:

Additional info:
Comment 1 Tim Lauridsen 2007-01-03 10:03:38 EST
yumex 1.2.x dont work with current rawhide, please test with yumex 1.9.x

get it here :


When yumex 1.9.1 development get released, i will push to Extras-Development.
Comment 2 Paul F. Kunz 2007-01-25 12:11:01 EST
Another dump of crash on update

Component: yumex
Version: 1.2.2
Summary: TB03120a34 yumexmain.py:1045:_runBackground:CompsException

Traceback (most recent call last):
  File "/usr/share/yumex/yumexmain.py", line 1108, in ?
    mainApp = YumexMainApplication()
  File "/usr/share/yumex/yumexmain.py", line 541, in __init__
  File "/usr/share/yumex/yumexmain.py", line 992, in setup_yum
    if self._runBackground( self.yumexbase.load_repo_data, rload ):
  File "/usr/share/yumex/yumexmain.py", line 1045, in _runBackground
    raise self.backgroundThread.exception

Local variables in innermost frame:
runfunc: <bound method yumexBase.load_repo_data of <yumex.yumexBase.yumexBase
object at 0xa2a30ec>>
args: (False,)
self: <__main__.YumexMainApplication instance at 0xa29208c>

Note You need to log in before you can comment on or make changes to this bug.